#!/usr/bin/ruby

require 'rubygems'
require 'commander'
require 'yaml'

require 'start_x/config'
require 'start_x/project'
require 'start_x/version'


module StartX
  class Runner
    include Commander::Methods
    # include whatever modules you need

    def run
      program :name, 'starters'
      program :version, StartX::VERSION
      program :description, 'Easily kickoff projects from git'
      default_command :project

      command :config do |c|
        c.syntax = 'start config [options]'
        c.summary = ''
        c.description = ''
        c.example 'description', 'command example'
        c.option '--some-switch', 'Some switch that does something'
        c.action do |args, options|
          StartX::Config.new
        end
      end

      command :project do |c|
        c.syntax = 'start project [options]'
        c.summary = ''
        c.description = ''
        c.example 'description', 'command example'
        c.action do |args, options|
          StartX::Project.new
        end
      end

      run!
    end
  end
end

